module GunitRails
  class Configuration
    attr_accessor :stem_mode

    def initialize
      @root = GunitRails::Stem.new
      @stem_mode = :development
    end

    def stem_mode=(opt)
      raise StandardError.new("Cannot set that mode") unless [:test, :development].include?(opt)
      @stem_mode = opt
      puts "updated stem mode #{@stem_mode}"
    end
  end
end
