require 'gunit_rails/configuration'
require 'gunit_rails/data_management'
require 'gunit_rails/stem_core'
require 'gunit_rails/version'

module GunitRails
  class << self
    attr_writer :configuration
  end

  def self.configuration
    @configuration ||= GunitRails::Configuration.new
  end

  def self.configure
    yield configuration if block_given?
  end
end
