module GunitRails
  class Stem < Hash
    # extend GunitRails::DataManagement
  end

  # HERE there should exist a convention - all Stems will list macro constants at the top of every class
  class GenericStem < Stem
    TABLE_SIZE = 100

    def generic_stem_function(input)
      # the goal of these functions is to remove the need for rspec context
      #
      # e.g.
      # context "with a name passed to the constructor" do
      context = self.clone # or get info from environment somehow
      yield context, input
    end
  end
end
